## cpu-x 3.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,9 @@
-cmake_minimum_required(VERSION 2.8)
-set(LOCALVERSION "3.1.3")
-if(${CMAKE_VERSION} VERSION_GREATER "2.9")
-	cmake_policy(SET CMP0048 NEW)
-	project(cpu-x
-		VERSION ${LOCALVERSION}
-		LANGUAGES C
-	)
-else(${CMAKE_VERSION} VERSION_GREATER "2.9")
-	project(cpu-x)
-	set(PROJECT_VERSION ${LOCALVERSION})
-endif(${CMAKE_VERSION} VERSION_GREATER "2.9")
+cmake_minimum_required(VERSION 3.0)
+cmake_policy(SET CMP0048 NEW)
+project(cpu-x
+	VERSION "3.2.4"
+	LANGUAGES C
+)
 
 
 ### DEFAULT CONFIG
@@ -34,12 +28,21 @@
 set(CMAKE_C_FLAGS         "${CMAKE_C_FLAGS} -Wno-deprecated-declarations ${CPU_X_FLAGS}")
 set(CMAKE_C_FLAGS_DEBUG   "${CMAKE_C_FLAGS_DEBUG}   ${CPU_X_DEBUG_FLAGS}")
 set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} ${CPU_X_DEBUG_FLAGS}")
+set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-z,noexecstack -Wl,-z,relro -Wl,-z,now")
+set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-z,noexecstack -Wl,-z,relro -Wl,-z,now")
+
+include(CheckCCompilerFlag)
+check_c_compiler_flag("-no-pie" HAS_NO_PIE)
+if(HAS_NO_PIE)
+	set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -no-pie")
+endif(HAS_NO_PIE)
 
 # Options
 option(WITH_GTK           "Build support for GUI in GTK3+"                                    ON)
 option(WITH_NCURSES       "Build support for TUI in NCurses"                                  ON)
 option(WITH_GETTEXT       "Build support for internationalization"                            ON)
 option(WITH_LIBCURL       "Use Libcurl library"                                               ON)
+option(WITH_LIBJSONC      "Use Libjson-c library"                                             ON)
 option(WITH_LIBCPUID      "Use Libcpuid library"                                              ON)
 option(WITH_LIBPCI        "Use Libpci library"                                                ON)
 option(WITH_LIBPROCPS     "Use Libprocps library"                                             ON)
@@ -126,10 +129,15 @@
 ### HELPERS / SUBDIRECTORIES
 
 find_package(PkgConfig REQUIRED)
-find_package(Gettext)
-find_package(Intl)
-find_package(Threads)
-find_package(Backtrace)
+find_package(Threads REQUIRED)
+find_package(Backtrace REQUIRED)
+if(WITH_GETTEXT)
+	find_package(Gettext)
+	if(${CMAKE_VERSION} VERSION_GREATER "3.1")
+		find_package(Intl)
+	endif(${CMAKE_VERSION} VERSION_GREATER "3.1")
+endif(WITH_GETTEXT)
+include(CheckSymbolExists)
 add_subdirectory(po)
 add_subdirectory(src)
 add_subdirectory(data)
