=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,6 @@
-cmake_minimum_required(VERSION 2.8)
-if(${CMAKE_VERSION} VERSION_GREATER "2.9")
-	cmake_policy(SET CMP0048 OLD)
-endif(${CMAKE_VERSION} VERSION_GREATER "2.9")
-project(data)
+project(data
+	LANGUAGES NONE
+)
 
 
 # Files needed by GTK GUI
@@ -22,8 +20,16 @@
 	install(FILES
 		cpu-x-gtk-3.12.ui
 		cpu-x-gtk-3.12.css
+		cpu-x-gtk-3.12-dark.css
 		cpu-x-gtk-3.20.css
+		cpu-x-gtk-3.20-dark.css
 		DESTINATION ${CPU_X_DATA_DIRECTORY}/
+	)
+
+	# AppData metainfo file
+	install(FILES
+		cpu-x.appdata.xml
+		DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/metainfo/
 	)
 
 	# Install launchers
