=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,6 @@
-cmake_minimum_required(VERSION 2.8)
-if(${CMAKE_VERSION} VERSION_GREATER "2.9")
-	cmake_policy(SET CMP0048 OLD)
-endif(${CMAKE_VERSION} VERSION_GREATER "2.9")
-project(po)
+project(po
+	LANGUAGES NONE
+)
 
 # Config (po)
 set(absPotFile "${CMAKE_SOURCE_DIR}/po/cpu-x.pot")
@@ -75,7 +73,7 @@
 		# Convert .gmo files in a C header file
 		add_custom_target(convertgmo ALL)
 		set(vars)
-		set(moHeader "${CMAKE_SOURCE_DIR}/po/mo.h")
+		set(moHeader "${CMAKE_BINARY_DIR}/po/mo.h")
 		add_custom_command(TARGET convertgmo
 			COMMAND ${CMAKE_COMMAND} -E remove ${moHeader}
 		)
