=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,3 @@
-cmake_minimum_required(VERSION 2.8)
-if(${CMAKE_VERSION} VERSION_GREATER "2.9")
-	cmake_policy(SET CMP0048 OLD)
-endif(${CMAKE_VERSION} VERSION_GREATER "2.9")
-project(binary)
-
-
 ### FIND NEEDED LIBRAIRIES
 
 # GTK3+
@@ -16,11 +9,12 @@
 		link_directories(${GTK3_LIBRARY_DIRS})
 		add_definitions(${GTK3_CFLAGS_OTHER})
 		if(PORTABLE_BINARY)
-			execute_process(COMMAND glib-compile-resources --target=${CMAKE_SOURCE_DIR}/src/gtk-resources.c --generate-source cpu-x.gresource.xml
-					COMMAND	glib-compile-resources --target=${CMAKE_SOURCE_DIR}/src/gtk-resources.h --generate-header cpu-x.gresource.xml
+			execute_process(COMMAND glib-compile-resources --target=${CMAKE_BINARY_DIR}/src/gtk_resources.c --generate-source cpu-x.gresource.xml
+					COMMAND	glib-compile-resources --target=${CMAKE_BINARY_DIR}/src/gtk_resources.h --generate-header cpu-x.gresource.xml
 					WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/data
 			)
-			set(GRESOURCES "gtk-resources.c")
+			set(GRESOURCES "gtk_resources.c")
+			include_directories(${CMAKE_BINARY_DIR}/src)
 		endif(PORTABLE_BINARY)
 		add_library(gui_gtk
 			gui_gtk.c
@@ -37,7 +31,7 @@
 
 # NCurses
 if(WITH_NCURSES)
-	pkg_check_modules(NCURSES ncurses)
+	pkg_check_modules(NCURSES ncursesw)
 	if(NCURSES_FOUND)
 		include_directories(${NCURSES_INCLUDE_DIRS})
 		link_directories(${NCURSES_LIBRARY_DIRS})
@@ -45,8 +39,8 @@
 			tui_ncurses.c
 			tui_ncurses.h
 		)
-		add_embedded_library(NCURSES_LIBRARIES "-l:libncursesw.a")
-		add_embedded_library_others(NCURSES_LIBRARIES "${NCURSES_LIBRARIES} -l:libtinfo.a")
+		add_embedded_library_linux(NCURSES_LIBRARIES "-l:libncursesw.a")
+		add_embedded_library_others(NCURSES_LIBRARIES "${NCURSES_LIBRARIES} -l:libncursesw.a -l:libtinfo.a")
 		set(NCURSES_LIBRARIES "tui_ncurses" ${NCURSES_LIBRARIES})
 	endif(NCURSES_FOUND)
 endif(WITH_NCURSES)
@@ -54,6 +48,7 @@
 # Gettext
 if(Intl_FOUND)
 	add_embedded_library_others(Intl_LIBRARIES "-l:libintl.a")
+	include_directories(${CMAKE_BINARY_DIR}/po)
 endif(Intl_FOUND)
 
 # Libcurl
@@ -64,9 +59,21 @@
 		link_directories(${LIBCURL_LIBRARY_DIRS})
 		add_definitions(${LIBCURL_CFLAGS_OTHER})
 		add_embedded_library(LIBCURL_LIBRARIES "-l:libcurl.a")
-		add_embedded_library_linux(LIBCURL_LIBRARIES "${LIBCURL_LIBRARIES} -l:libssl.a -l:libcrypto.a -lz -ldl")
+		add_embedded_library_linux(LIBCURL_LIBRARIES "${LIBCURL_LIBRARIES} -l:libssl.a -l:libcrypto.a -lz -ldl -lgssapi_krb5")
+		add_embedded_library_others(LIBCURL_LIBRARIES "${LIBCURL_LIBRARIES} -l:libz.a")
 	endif(LIBCURL_FOUND)
 endif(WITH_LIBCURL)
+
+# Libjson-c
+if(WITH_LIBJSONC)
+	pkg_check_modules(LIBJSONC json-c)
+	if(LIBJSONC_FOUND)
+		include_directories(${LIBJSONC_INCLUDE_DIRS})
+		link_directories(${LIBJSONC_LIBRARY_DIRS})
+		add_definitions(${LIBJSONC_CFLAGS_OTHER})
+		add_embedded_library(LIBJSONC_LIBRARIES "-l:libjson-c.a")
+	endif(LIBJSONC_FOUND)
+endif(WITH_LIBJSONC)
 
 # Libarchive
 if(PORTABLE_BINARY)
@@ -76,18 +83,24 @@
 		link_directories(${LIBARCHIVE_LIBRARY_DIRS})
 		add_definitions(${LIBARCHIVE_CFLAGS_OTHER})
 		add_embedded_library(LIBARCHIVE_LIBRARIES "-l:libarchive.a")
+		add_embedded_library_linux(LIBARCHIVE_LIBRARIES "${LIBARCHIVE_LIBRARIES} -ldl")
 		add_embedded_library_others(LIBARCHIVE_LIBRARIES "${LIBARCHIVE_LIBRARIES} -l:libssl.a -l:libcrypto.a -l:libgssapi.a -l:libbz2.a")
 	endif(LIBARCHIVE_FOUND)
 endif(PORTABLE_BINARY)
 
 # Libcpuid
 if(WITH_LIBCPUID)
-	pkg_check_modules(LIBCPUID libcpuid>=0.3.0)
+	pkg_check_modules(LIBCPUID libcpuid>=0.4.0)
 	if(LIBCPUID_FOUND)
 		include_directories(${LIBCPUID_INCLUDE_DIRS})
 		link_directories(${LIBCPUID_LIBRARY_DIRS})
 		add_definitions(${LIBCPUID_CFLAGS_OTHER})
 		add_embedded_library(LIBCPUID_LIBRARIES "-l:libcpuid.a")
+		set(CMAKE_REQUIRED_LIBRARIES ${LIBCPUID_LIBRARIES})
+		check_symbol_exists(msr_serialize_raw_data "libcpuid/libcpuid.h" HAVE_MSR_SERIALIZE_RAW_DATA)
+		if(HAVE_MSR_SERIALIZE_RAW_DATA)
+			add_definitions(-DHAVE_MSR_SERIALIZE_RAW_DATA)
+		endif(HAVE_MSR_SERIALIZE_RAW_DATA)
 	endif(LIBCPUID_FOUND)
 endif(WITH_LIBCPUID)
 
@@ -100,7 +113,7 @@
 		add_definitions(${LIBPCI_CFLAGS_OTHER})
 		add_embedded_library(LIBPCI_LIBRARIES "-l:libpci.a")
 		add_embedded_library_linux(LIBPCI_LIBRARIES "${LIBPCI_LIBRARIES} -lresolv -ludev")
-		add_embedded_library_others(LIBPCI_LIBRARIES "${LIBPCI_LIBRARIES} -lz")
+		add_embedded_library_others(LIBPCI_LIBRARIES "${LIBPCI_LIBRARIES} -l:libz.a")
 	endif(LIBPCI_FOUND)
 endif(WITH_LIBPCI)
 
@@ -158,6 +171,7 @@
 # Other libraries
 print_config("GETTEXT"             0                        GETTEXT_FOUND     WITH_GETTEXT)
 print_config("LIBCURL"             "${LIBCURL_VERSION}"     LIBCURL_FOUND     WITH_LIBCURL)
+print_config("LIBJSONC"            "${LIBJSONC_VERSION}"    LIBJSONC_FOUND    WITH_LIBJSONC)
 print_config("LIBCPUID"            "${LIBCPUID_VERSION}"    LIBCPUID_FOUND    WITH_LIBCPUID)
 print_config("LIBPCI"              "${LIBPCI_VERSION}"      LIBPCI_FOUND      WITH_LIBPCI)
 if(${CMAKE_SYSTEM_NAME} MATCHES "Linux" AND NOT FORCE_LIBSTATGRAB)
@@ -221,7 +235,10 @@
 
 # Various definitions
 add_definitions(-DPRGVER="${PROJECT_VERSION}" -DCC="${CMAKE_C_COMPILER_ID}" -DHAS_LIBSYSTEM="${LIBSYSTEM}")
-add_definitions(-DGETTEXT_PACKAGE="${CMAKE_PROJECT_NAME}" -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")
+add_definitions(-DGETTEXT_PACKAGE="${CMAKE_PROJECT_NAME}" -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}" -DTERMINFODIR="/lib/terminfo")
+
+# Various libraries
+add_embedded_library_others(OTHER_LIBRARIES "-lelf -l:libnghttp2.a")
 
 # Link libraries
 target_link_libraries(cpu-x
@@ -233,6 +250,7 @@
 	${GTK3_LIBRARIES}
 	${NCURSES_LIBRARIES}
 	${LIBCURL_LIBRARIES}
+	${LIBJSONC_LIBRARIES}
 	${LIBARCHIVE_LIBRARIES}
 	${LIBCPUID_LIBRARIES}
 	${LIBPCI_LIBRARIES}
@@ -240,6 +258,7 @@
 	${LIBSTATGRAB_LIBRARIES}
 	${DMIDECODE_LIBRARIES}
 	${BANDWIDTH_LIBRARIES}
+	${OTHER_LIBRARIES}
 )
