=== debian/changelog ===
cpu-x (3.2.4-3build2) focal; urgency=medium

  * No-change rebuild against libprocps8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Feb 2020 07:20:06 +0000

cpu-x (3.2.4-3build1) focal; urgency=medium

  * No-change rebuild against libprocps8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Feb 2020 00:25:58 +0000

cpu-x (3.2.4-3) unstable; urgency=medium

  * debian/control:
    + Limit builds of cpu-x to amd64 and i386. (Closes: #949607).
    + Bump Standards-Version: to 4.5.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 17 Feb 2020 16:59:54 +0100

cpu-x (3.2.4-2) unstable; urgency=medium

  * No-change source-only upload.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 24 Nov 2019 14:01:02 +0100

cpu-x (3.2.4-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #941014).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 01 Oct 2019 14:10:58 +0200
