=== debian/control ===
Source: cpu-x
Section: x11
Priority: optional
Maintainer: Martin Wimpress <martin.wimpress@ubuntu.com>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 12),
               cmake (>= 3),
               gettext,
               libcpuid-dev [amd64 i386],
               libgtk-3-dev (>= 3.12),
               libcurl4-gnutls-dev,
               libjson-c-dev,
               libncurses-dev,
               libpci-dev,
               libprocps-dev,
               libstatgrab-dev,
               nasm,
               pkg-config,
               procps,
Standards-Version: 4.5.0
Homepage: https://github.com/X0rg/CPU-X
Vcs-Git: https://salsa.debian.org/debian/cpu-x.git
Vcs-Browser: https://salsa.debian.org/debian/cpu-x
Rules-Requires-Root: no

Package: cpu-x
Architecture: amd64 i386
Depends: ${shlibs:Depends},
         ${misc:Depends},
         procps,
Description: Tool that gathers information on CPU, motherboard and more
 CPU-X is similar to CPU-Z (for MS Windows). It can be used in graphical
 mode by using GTK or in text-based mode by using NCurses. A dump mode is
 present from the command line.
