## cpu-x 3.2.4+17.1

=== debian/changelog ===
cpu-x (3.2.4+17.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Tue, 24 Sep 2019 01:38:44 -0400

cpu-x (3.2.4+17.1) stable; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Mon, 11 Feb 2019 09:58:20 +0000

cpu-x (2.1.1-1) stable; urgency=medium

  * Initial release.

 -- Xorg <xorg@no-mail.com>  Sun, 13 Sep 2015 15:01:43 +0000
