=== debian/control ===
Source: cpu-x
Section: Utilities
Priority: optional
Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Xorg <xorg@no-mail.com>
Build-Depends: debhelper (>= 4.1.16), cmake, gcc, nasm, gettext, libgtk-3-dev, libncursesw5-dev | libncursesw6-dev, libcurl4-openssl-dev, libjson-c-dev, libcpuid14-dev, libpci-dev, libprocps-dev

Package: cpu-x
Architecture: i386 amd64
Depends: libgtk-3-0, libncursesw5 | libncurses6, libcurl3 | libcurl4, libjson-c2 | libjson-c3, libcpuid14, libprocps3 | libprocps4 | libprocps6 | libprocps7, libpci3
Description: CPU-X is a Free software that gathers information on CPU, motherboard and more.
  CPU-X is similar to CPU-Z (Windows), but CPU-X is a Free and Open Source software designed for GNU/Linux; also, it works on *BSD.
  This software is written in C and built with CMake tool.
  It can be used in graphical mode by using GTK or in text-based mode by using NCurses. A dump mode is present from command line.
